Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class UnImplNode

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode

Direct Known Subclasses:
  Child, DOMImplementationImpl, ElemTemplateElement, StreamableNode

public class UnImplNode
extends java.lang.Object
implements Node, Element, NodeList, Document

**For internal use only** To be subclassed by classes that wish to fake being nodes.

Constructor Summary
`UnImplNode()` **For internal use only**

Method Summary
`Node` | `appendChild(Node newChild)` **For internal use only** Unimplemented.
`void` | `appendData(java.lang.String arg)` **For internal use only** Unimplemented.
`Node` | `cloneNode(boolean deep)` **For internal use only** Unimplemented.
`Attr` | `createAttribute(java.lang.String name)` **For internal use only** Unimplemented.
`Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` **For internal use only** Unimplemented.
`CDATASection` | `createCDATASection(java.lang.String data)` **For internal use only** Unimplemented.
`Comment` | `createComment(java.lang.String data)` **For internal use only** Unimplemented.
`DocumentFragment` | `createDocumentFragment()` **For internal use only** Unimplemented.
`Element` | `createElement(java.lang.String tagName)` **For internal use only** Unimplemented.
`Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` **For internal use only** Unimplemented.
`EntityReference` | `createEntityReference(java.lang.String name)` **For internal use only** Unimplemented.
`ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` **For internal use only** Unimplemented.
`Text` | `createTextNode(java.lang.String data)` **For internal use only** Unimplemented.
`void` | `deleteData(int offset, int count)` **For internal use only** Unimplemented.
`void` | `error(int msg)` **For internal use only** Throw an error.
`void` | `error(int msg, java.lang.Object[] args)` **For internal use only** Throw an error.
`java.lang.String` | `getAttribute(java.lang.String name)` **For internal use only** Unimplemented.
`Attr` | `getAttributeNode(java.lang.String name)` **For internal use only**
`Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`NamedNodeMap` | `getAttributes()` **For internal use only** Unimplemented.
`NodeList` | `getChildNodes()` **For internal use only** Unimplemented.
`DocumentType` | `getDoctype()` **For internal use only** Unimplemented.
`Element` | `getDocumentElement()` **For internal use only** Unimplemented.
`Element` | `getElementById(java.lang.String elementId)` **For internal use only** Unimplemented.
`NodeList` | `getElementsByTagName(java.lang.String name)` **For internal use only** Unimplemented.
`NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`Node` | `getFirstChild()` **For internal use only** Unimplemented.
`DOMImplementation` | `getImplementation()` **For internal use only** Unimplemented.
`Node` | `getLastChild()` **For internal use only** Unimplemented.
`int` | `getLength()` **For internal use only** Unimplemented.
`java.lang.String` | `getLocalName()` **For internal use only** Unimplemented.
`java.lang.String` | `getNamespaceURI()` **For internal use only** Unimplemented.
`Node` | `getNextSibling()` **For internal use only** Unimplemented.
`java.lang.String` | `getNodeName()` **For internal use only** Unimplemented.
`short` | `getNodeType()` **For internal use only** Unimplemented.
`java.lang.String` | `getNodeValue()` **For internal use only** Unimplemented.
`Document` | `getOwnerDocument()` **For internal use only** Unimplemented.
`Element` | `getOwnerElement()` **For internal use only** Returns the name of this attribute.
`Node` | `getParentNode()` **For internal use only** Unimplemented.
`java.lang.String` | `getPrefix()` **For internal use only** Unimplemented.
`Node` | `getPreviousSibling()` **For internal use only** Unimplemented.
`boolean` | `getSpecified()` **For internal use only** Unimplemented.
`java.lang.String` | `getTagName()` **For internal use only** Unimplemented.
`boolean` | `hasAttribute(java.lang.String name)` **For internal use only**
`boolean` | `hasAttributeNS(java.lang.String name, java.lang.String x)` **For internal use only**
`boolean` | `hasAttributes()` **For internal use only** Introduced in DOM Level 2.
`boolean` | `hasChildNodes()` **For internal use only** Unimplemented.
`Node` | `importNode(Node importedNode, boolean deep)` **For internal use only** Unimplemented.
`Node` | `insertBefore(Node newChild, Node refChild)` **For internal use only** Unimplemented.
`void` | `insertData(int offset, java.lang.String arg)` **For internal use only** Unimplemented.
`Node` | `item(int index)` **For internal use only** Unimplemented.
`void` | `normalize()` **For internal use only** Unimplemented.
`void` | `removeAttribute(java.lang.String name)` **For internal use only** Unimplemented.
`Attr` | `removeAttributeNode(Attr oldAttr)` **For internal use only** Unimplemented.
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`Node` | `removeChild(Node oldChild)` **For internal use only** Unimplemented.
`Node` | `replaceChild(Node newChild, Node oldChild)` **For internal use only** Unimplemented.
`void` | `replaceData(int offset, int count, java.lang.String arg)` **For internal use only** Unimplemented.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` **For internal use only** Unimplemented.
`Attr` | `setAttributeNode(Attr newAttr)` **For internal use only** Unimplemented.
`Attr` | `setAttributeNodeNS(Attr newAttr)` **For internal use only** Unimplemented.
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` **For internal use only** Unimplemented.
`void` | `setData(java.lang.String data)` **For internal use only**
`void` | `setNodeValue(java.lang.String nodeValue)` **For internal use only** Unimplemented.
`void` | `setPrefix(java.lang.String prefix)` **For internal use only** Unimplemented.
`void` | `setValue(java.lang.String value)` **For internal use only** Unimplemented.
`Text` | `splitText(int offset)` **For internal use only** Unimplemented.
`java.lang.String` | `substringData(int offset, int count)` **For internal use only** Unimplemented.
`boolean` | `supports(java.lang.String feature, java.lang.String version)` **For internal use only** Unimplemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnImplNode

    public UnImplNode()

Method Detail

### error

    public void error(int msg)

  **For internal use only** Throw an error.

### error

    public void error(int msg,
                      java.lang.Object[] args)

  **For internal use only** Throw an error.

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    appendChild in interface Node

### hasChildNodes

    public boolean hasChildNodes()

  **For internal use only** Unimplemented.
  Specified by:
    hasChildNodes in interface Node

### getNodeType

    public short getNodeType()

  **For internal use only** Unimplemented.
  Specified by:
    getNodeType in interface Node

### getParentNode

    public Node getParentNode()

  **For internal use only** Unimplemented.
  Specified by:
    getParentNode in interface Node

### getChildNodes

    public NodeList getChildNodes()

  **For internal use only** Unimplemented.
  Specified by:
    getChildNodes in interface Node

### getFirstChild

    public Node getFirstChild()

  **For internal use only** Unimplemented.
  Specified by:
    getFirstChild in interface Node

### getLastChild

    public Node getLastChild()

  **For internal use only** Unimplemented.
  Specified by:
    getLastChild in interface Node

### getNextSibling

    public Node getNextSibling()

  **For internal use only** Unimplemented.
  Specified by:
    getNextSibling in interface Node

### getLength

    public int getLength()

  **For internal use only** Unimplemented.
  Specified by:
    getLength in interface NodeList

### item

    public Node item(int index)

  **For internal use only** Unimplemented.
  Specified by:
    item in interface NodeList

### getOwnerDocument

    public Document getOwnerDocument()

  **For internal use only** Unimplemented.
  Specified by:
    getOwnerDocument in interface Node

### getTagName

    public java.lang.String getTagName()

  **For internal use only** Unimplemented.
  Specified by:
    getTagName in interface Element

### getNodeName

    public java.lang.String getNodeName()

  **For internal use only** Unimplemented.
  Specified by:
    getNodeName in interface Node

### normalize

    public void normalize()

  **For internal use only** Unimplemented.
  Specified by:
    normalize in interface Node

### getElementsByTagName

    public NodeList getElementsByTagName(java.lang.String name)

  **For internal use only** Unimplemented.
  Specified by:
    getElementsByTagName in interface Element

### removeAttributeNode

    public Attr removeAttributeNode(Attr oldAttr)
                             throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeAttributeNode in interface Element

### setAttributeNode

    public Attr setAttributeNode(Attr newAttr)
                          throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttributeNode in interface Element

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    hasAttribute in interface Element

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String name,
                                  java.lang.String x)

  Specified by:
    hasAttributeNS in interface Element

### getAttributeNode

    public Attr getAttributeNode(java.lang.String name)

  Specified by:
    getAttributeNode in interface Element

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeAttribute in interface Element

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttribute in interface Element

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  **For internal use only** Unimplemented.
  Specified by:
    getAttribute in interface Element

### hasAttributes

    public boolean hasAttributes()

  **For internal use only** Introduced in DOM Level 2.
  Specified by:
    hasAttributes in interface Node

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  **For internal use only** Unimplemented.
  Specified by:
    getElementsByTagNameNS in interface Element

### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr newAttr)
                            throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttributeNodeNS in interface Element

### getAttributeNodeNS

    public Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                   java.lang.String localName)

  **For internal use only** Unimplemented.
  Specified by:
    getAttributeNodeNS in interface Element

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeAttributeNS in interface Element

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttributeNS in interface Element

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  **For internal use only** Unimplemented.
  Specified by:
    getAttributeNS in interface Element

### getPreviousSibling

    public Node getPreviousSibling()

  **For internal use only** Unimplemented.
  Specified by:
    getPreviousSibling in interface Node

### cloneNode

    public Node cloneNode(boolean deep)

  **For internal use only** Unimplemented.
  Specified by:
    cloneNode in interface Node

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    getNodeValue in interface Node

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setNodeValue in interface Node

### setValue

    public void setValue(java.lang.String value)
                  throws DOMException

  **For internal use only** Unimplemented.

### getOwnerElement

    public Element getOwnerElement()

  **For internal use only** Returns the name of this attribute.

### getSpecified

    public boolean getSpecified()

  **For internal use only** Unimplemented.

### getAttributes

    public NamedNodeMap getAttributes()

  **For internal use only** Unimplemented.
  Specified by:
    getAttributes in interface Node

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    insertBefore in interface Node

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    replaceChild in interface Node

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeChild in interface Node

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  **For internal use only** Unimplemented.
  Specified by:
    supports in interface Node

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  **For internal use only** Unimplemented.
  Specified by:
    getNamespaceURI in interface Node

### getPrefix

    public java.lang.String getPrefix()

  **For internal use only** Unimplemented.
  Specified by:
    getPrefix in interface Node

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setPrefix in interface Node

### getLocalName

    public java.lang.String getLocalName()

  **For internal use only** Unimplemented.
  Specified by:
    getLocalName in interface Node

### getDoctype

    public DocumentType getDoctype()

  **For internal use only** Unimplemented.
  Specified by:
    getDoctype in interface Document

### getImplementation

    public DOMImplementation getImplementation()

  **For internal use only** Unimplemented.
  Specified by:
    getImplementation in interface Document

### getDocumentElement

    public Element getDocumentElement()

  **For internal use only** Unimplemented.
  Specified by:
    getDocumentElement in interface Document

### createElement

    public Element createElement(java.lang.String tagName)
                          throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createElement in interface Document

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  **For internal use only** Unimplemented.
  Specified by:
    createDocumentFragment in interface Document

### createTextNode

    public Text createTextNode(java.lang.String data)

  **For internal use only** Unimplemented.
  Specified by:
    createTextNode in interface Document

### createComment

    public Comment createComment(java.lang.String data)

  **For internal use only** Unimplemented.
  Specified by:
    createComment in interface Document

### createCDATASection

    public CDATASection createCDATASection(java.lang.String data)
                                    throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createCDATASection in interface Document

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                             java.lang.String data)
                                                      throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createProcessingInstruction in interface Document

### createAttribute

    public Attr createAttribute(java.lang.String name)
                         throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createAttribute in interface Document

### createEntityReference

    public EntityReference createEntityReference(java.lang.String name)
                                          throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createEntityReference in interface Document

### importNode

    public Node importNode(Node importedNode,
                           boolean deep)
                    throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    importNode in interface Document

### createElementNS

    public Element createElementNS(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName)
                            throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createElementNS in interface Document

### createAttributeNS

    public Attr createAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String qualifiedName)
                           throws DOMException

  **For internal use only** Unimplemented.
  Specified by:
    createAttributeNS in interface Document

### getElementById

    public Element getElementById(java.lang.String elementId)

  **For internal use only** Unimplemented.
  Specified by:
    getElementById in interface Document

### setData

    public void setData(java.lang.String data)
                 throws DOMException

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws DOMException

  **For internal use only** Unimplemented.

### appendData

    public void appendData(java.lang.String arg)
                    throws DOMException

  **For internal use only** Unimplemented.

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws DOMException

  **For internal use only** Unimplemented.

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  **For internal use only** Unimplemented.

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws DOMException

  **For internal use only** Unimplemented.

### splitText

    public Text splitText(int offset)
                   throws DOMException

  **For internal use only** Unimplemented.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.